> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# Alıcıları listele (bankaya göre)



## OpenAPI

````yaml /api-reference/transfer/openapi.json get /api/v1/recipients/by-bank/{bank_id}
openapi: 3.0.4
info:
  title: Payven Para Transferi API
  description: >-
    Payven Para Transferi — çoklu banka EFT, FAST, havale ve banka hesabı
    transferi altyapısı.
  termsOfService: https://payven.com.tr/sozlesmeler
  contact:
    name: Payven Developer Support
    url: https://docs.payven.com.tr
    email: destek@payven.com.tr
  license:
    name: Payven API License
    url: https://payven.com.tr/sozlesmeler/api-lisansi
  version: '1.0'
servers:
  - url: https://transfer-sandbox.payven.com.tr
    description: Sandbox
  - url: https://transfer.payven.com.tr
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
    x-displayName: Hesaplar
  - name: ApiRequestLogs
    x-displayName: API İstek Kayıtları
  - name: BankBins
    x-displayName: Banka BIN'leri
  - name: Banks
    x-displayName: Bankalar
  - name: ConnectorAccounts
    x-displayName: Konnektör Hesapları
  - name: ConnectorAccountTransferRules
    x-displayName: Konnektör Hesap Transfer Kuralları
  - name: ConnectorConfigurations
    x-displayName: Konnektör Konfigürasyonları
  - name: Connectors
    x-displayName: Konnektörler
  - name: Dashboard
    x-displayName: Dashboard
  - name: Me
    x-displayName: Oturum
  - name: ReceiverAccounts
    x-displayName: Alıcı Hesapları
  - name: Recipients
    x-displayName: Alıcılar
  - name: RecurringTransfers
    x-displayName: Tekrarlayan Transferler
  - name: Settings
    x-displayName: Ayarlar
  - name: Transfers
    x-displayName: Transferler
  - name: Validation
    x-displayName: Validasyon
  - name: Webhooks
    x-displayName: Webhook'lar
paths:
  /api/v1/recipients/by-bank/{bank_id}:
    get:
      tags:
        - Recipients
      summary: Alıcıları listele (bankaya göre)
      operationId: listRecipientsByBank
      parameters:
        - name: bank_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecipientDtoPaginatedListApiResponseDto'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/ServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    RecipientDtoPaginatedListApiResponseDto:
      type: object
      properties:
        message:
          type: string
          nullable: true
        is_success:
          type: boolean
        code:
          type: string
          nullable: true
        data:
          allOf:
            - $ref: '#/components/schemas/RecipientDtoPaginatedList'
          nullable: true
      additionalProperties: false
    RecipientDtoPaginatedList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/RecipientDto'
          nullable: true
        page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
          readOnly: true
        total_count:
          type: integer
          format: int32
          readOnly: true
        has_previous_page:
          type: boolean
          readOnly: true
        has_next_page:
          type: boolean
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    RecipientDto:
      allOf:
        - $ref: '#/components/schemas/ExtraPropertiesDto'
        - type: object
          properties:
            id:
              type: string
              format: uuid
            bank_id:
              type: string
              format: uuid
            first_name:
              type: string
              nullable: true
            last_name:
              type: string
              nullable: true
            holder_name:
              type: string
              nullable: true
            description:
              type: string
              nullable: true
            account_number:
              type: string
              nullable: true
            iban:
              type: string
              nullable: true
            masked_card_no:
              type: string
              nullable: true
            card_token:
              type: string
              nullable: true
            bank_name:
              type: string
              nullable: true
            bank_code:
              type: string
              nullable: true
          additionalProperties: false
    ExtraPropertiesDto:
      type: object
      properties:
        extra_properties_dict:
          type: object
          additionalProperties:
            type: string
          nullable: true
      additionalProperties: false
  responses:
    Unauthorized:
      description: '`Authorization` header eksik, geçersiz veya süresi dolmuş.'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/invalid_token
            title: Geçersiz token
            status: 401
            code: invalid_token
            detail: Access token geçersiz veya süresi dolmuş — refresh edin.
    Forbidden:
      description: Yetki yok, lisans yok veya merchant pasif.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/forbidden
            title: Yetki yok
            status: 403
            code: forbidden
            detail: Bu rol bu kaynağı göremez.
    NotFound:
      description: Kaynak bulunamadı.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/resource_not_found
            title: Kaynak bulunamadı
            status: 404
            code: resource_not_found
    TooManyRequests:
      description: Rate limit aşıldı. `Retry-After` header'ına uyun.
      headers:
        Retry-After:
          description: Yeniden denemeden önce beklemeniz gereken saniye sayısı.
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/rate_limit_exceeded
            title: İstek limiti aşıldı
            status: 429
            code: rate_limit_exceeded
    ServerError:
      description: >-
        Sunucu hatası. Exponential backoff ile tekrar deneyin (Idempotency-Key
        ile).
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/internal_server_error
            title: Sunucu hatası
            status: 500
            code: internal_server_error
    ServiceUnavailable:
      description: >-
        Hedef konnektör geçici olarak devre dışı (circuit breaker açık) veya
        bağımlılık servisi erişilemez.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/connector_unavailable
            title: Konnektör erişilemez
            status: 503
            code: connector_unavailable
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Identity servisinden alinan Keycloak JWT. Format: `Authorization: Bearer
        <token>`. Token alma: POST /api/v1/auth/{slug}/token

````